% FINSOL_NCC
% finding stable solutions
% solution in k,m,c,l,z,u,v
% reduced form 
% w/ credit

Nvar    = 7;
A	    = zeros(Nvar,Nvar);
B	    = zeros(Nvar,Nvar);

AA      = COEF_NCC_RED(eqIIL);
A(1,:)	= AA;
AA      = COEF_NCC_RED(eqIIR);
B(1,:)	= AA;
AA      = COEF_NCC_RED(eqIIIL);
A(2,:)	= AA;
AA      = COEF_NCC_RED(eqIIIR);
B(2,:)	= AA;
AA      = COEF_NCC_RED(eqXIIL);
A(3,:)	= AA;
AA      = COEF_NCC_RED(eqXIIR);
B(3,:)	= AA;
AA      = COEF_NCC_RED(eqVL);
A(4,:)	= AA;
AA      = COEF_NCC_RED(eqVR);
B(4,:)	= AA;

% z_t+1 = rho*z_t + eps_t+1
A(Nvar-2,Nvar-2)    = rho;
B(Nvar-2,Nvar-2)    = 1;
% u_t+1 = eta*u_t + ksi_t+1
A(Nvar-1,Nvar-1)	= eta;
B(Nvar-1,Nvar-1)	= 1;  
% v_t+1 = nu*v_t + zeta_t+1
A(Nvar,Nvar)	= nu;
B(Nvar,Nvar)	= 1;  

AL	= A(1:Nvar-3,1:Nvar-3);
BL  = B(1:Nvar-3,1:Nvar-3);
CL	= inv(AL)*BL;
C	= inv(A)*B;

lambda  = eig(C);
[V,D]	= eig(C);  

% solution in k,m,c,l,z,u,v
vv_t	= [k_t;m_t;c_t;l_t;z_t;u_t;v_t];
% static equations
conds	= inv(V)*vv_t;
j       = 1;
NL      = size(lambda);
for i=1:NL(1),
    if lambda(i)<1,  
        EQ(j,:)	= conds(i);
        j = j+1;
    end
end
     
c_t        = solve(EQ(1),'c_t');
EQ(2)       = subs(EQ(2),{'c_t'},{c_t});
EQ(3)       = subs(EQ(3),{'c_t'},{c_t});
m_t         = solve(EQ(2),'m_t');
EQ(3)       = subs(EQ(3),{'m_t'},{m_t});
l_t         = solve(EQ(3),'l_t');
m_t         = subs(m_t,{'l_t'},{l_t});
c_t        = subs(c_t,{'l_t','m_t'},{l_t,m_t});





cc      = COEF_NCC_RED(eqXIIR);
E(1,:)  = COEF_NCC_RED(subs(eqXIIL,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
%E(1,:)  = COEF_NCC_RED(eqXIIL);
E(1,:)  = E(1,:)/cc(1); 
E(2,:)  = COEF_NCC_RED(m_t);
%E(2,:)  = COEF_NCC_RED(subs(eqVL,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
E(3,:)  = COEF_NCC_RED(c_t);
E(4,:)  = COEF_NCC_RED(l_t);
E(5,:)  = A(5,:);
E(6,:)  = A(6,:);
E(7,:)  = A(7,:);

% x, R, w, r, s, gh, c, a, f  
EN      = zeros(9,NL(1));
EN(1,:) = COEF_NCC_RED(subs(x_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(2,:) = COEF_NCC_RED(subs(R_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(3,:) = COEF_NCC_RED(subs(w_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(4,:) = COEF_NCC_RED(subs(r_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(5,:) = COEF_NCC_RED(subs(s_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(6,:) = COEF_NCC_RED(subs(gh_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(7,:) = COEF_NCC_RED(subs(pi_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(8,:) = COEF_NCC_RED(subs(a_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));
EN(9,:) = COEF_NCC_RED(subs(f_t,{'l_t','m_t','c_t'},{l_t,m_t,c_t}));

