% IMP_NCC - graphs  (based on the "RBC_NCC")
% ***************************************************

%calculations of impulse responses
%periods	= 300;
%periods	= 30;
periods	= 60;
%(1+g)*k_t(t+1) = y_k*((1-eps)*k_t-eps*(x1*x_t+f1*f_t)+z_t)+(1-deltaK)*k_t-c_k*c_t'	   

% technology shock
eps_v   	= 1;
%eps_v   	= sigma_eps*100;    % std in %
X_v         = zeros(7,periods);
X_v(5,1)    = eps_v;
% static conditions
X_v(2,1)    = E(2,:)*X_v(:,1);      % m
X_v(3,1)    = E(3,:)*X_v(:,1);      % c
X_v(4,1)    = E(4,:)*X_v(:,1);      % l

for i = 1:periods-1,
	X_v(5,i+1)	= A(5,5)*X_v(5,i);
    X_v(1,i+1)	= E(1,:)*X_v(:,i);
    X_v(2,i+1)    = E(2,:)*X_v(:,i+1);      % m
    X_v(3,i+1)    = E(3,:)*X_v(:,i+1);      % c
    X_v(4,i+1)    = E(4,:)*X_v(:,i+1);      % l
end

% x, R, w, r, s, gh, pi, a, f  
k_v = X_v(1,:);
m_v = X_v(2,:);
c_v = X_v(3,:);
l_v = X_v(4,:);
z_v = X_v(5,:);
u_v = X_v(6,:);
x_v = EN(1,:)*X_v;
R_v = EN(2,:)*X_v;
w_v = EN(3,:)*X_v;
r_v = EN(4,:)*X_v;
s_v = EN(5,:)*X_v;
gh_v = EN(6,:)*X_v;
pi_v = EN(7,:)*X_v;
a_v = EN(8,:)*X_v;
f_v = EN(9,:)*X_v;

w_v	    = (1-bet)*(k_v+s_v-l_v)+z_v;			        % (IX)  
r_v	    = (-bet*(k_v+s_v-l_v)+z_v)/r*(r+deltaK);		% (X)  
H2_v	= (1-eps)*(k_v-s1*s_v+L1*l_v+x1*x_v+f1*f_v);		            % (XI)  
yh_v	= (1-bet)*(k_v+s_v)+bet*l_v+z_v;				% 
kl_v    = s_v+k_v-l_v;
i_v     = (y_h*yh_v-c_h*c_v)/i_h;
n_v = -(L1*l_v+x1*x_v+f1*f_v);
ml_v = zeros(1,periods);
for i=1:periods-1
    ml_v(1,i+1)=m_v(1,i);
end
pii_v    = (ml_v-m_v-gh_v+u_v)/pi1;                          % (VI)  
F_v     = f_v-c_v;                                                                           % (VIII)
R_v = (r1*r_v+pi1*pii_v)/R1;
vel_v=yh_v-m_v;

gy_v    = zeros(1,periods);
gy_v(1) = X_v(5,1)+gh_v(1);
for i=1:periods-1
    gy_v(i+1) = X_v(5,i+1)-X_v(5,i)+beta*(kl_v(i+1)-kl_v(i))+gh_v(i+1);
end    


Resp_mat	= [X_v;i_v-yh_v;r1*r_v;w_v;yh_v;kl_v;i_v;x_v;R1*R_v;n_v;gh_v;vel_v;a_v;f_v;pi1*pii_v;gy_v];
Resp_tit    = ['k/h';'m/h';'c/h';' l ';' z ';' u ';' v ';'i/y';' r ';' w ';'y/h';'k/l';...
               'i/h';' x ';' R ';'n  ';'gH ';'vel';' a ';' f ';'\pi';'gY '];
jmcbresp = [vel_v; gy_v; i_v-yh_v];
jmcbresp_tit = ['PR to vel'; ' PR to gY'; 'PR to i/y'];
%************************************************************
k_law=zeros(1,7);
k_law(1,1)=1;
y_law=(1-bet)*(k_law+EN(5,:))+bet*E(4,:)+E(5,:);
i_law=(y_h*y_law-c_h*E(3,:))/i_h;

% graphs  
% ***************************************************

close all


figure
% Responses to Technology shock
% -----------------------------
% k
subplot(331)
plot(Resp_mat(1,:))
hold on
title(['PR to ',Resp_tit(1,:)])
mmin    = min(Resp_mat(1,:));
mmax    = max(Resp_mat(1,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% c
subplot(332)
plot(Resp_mat(3,:))
hold on
title(['PR to ',Resp_tit(3,:)])
mmin    = min(Resp_mat(3,:));
mmax    = max(Resp_mat(3,:));
axis([0 length(Resp_mat(3,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% m
subplot(333)
plot(Resp_mat(2,:))
hold on
title(['PR to ',Resp_tit(2,:)])
mmin    = min(Resp_mat(2,:));
mmax    = max(Resp_mat(2,:));
axis([0 length(Resp_mat(2,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% r
subplot(334)
plot(Resp_mat(9,:))
hold on
title(['PR to ',Resp_tit(9,:)])
mmin    = min(Resp_mat(9,:));
mmax    = max(Resp_mat(9,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% gy
subplot(335)
plot(lagmatrix(Resp_mat(22,:),-1))
hold on
title(['PR to ',Resp_tit(22,:)])
mmin    = min(lagmatrix(Resp_mat(22,:),-1));
mmax    = max(lagmatrix(Resp_mat(22,:),-1));
axis([0 length(lagmatrix(Resp_mat(22,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% s
subplot(336)
plot(Resp_mat(8,:))
hold on
title(['PR to ',Resp_tit(8,:)])
mmin    = min(Resp_mat(8,:));
mmax    = max(Resp_mat(8,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% w
subplot(337)
plot(Resp_mat(10,:))
hold on
title(['PR to ',Resp_tit(10,:)])
mmin    = min(Resp_mat(10,:));
mmax    = max(Resp_mat(10,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(19,:))
hold on
title(['PR to ',Resp_tit(19,:)])
mmin    = min(Resp_mat(19,:));
mmax    = max(Resp_mat(19,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(20,:))
hold on
title(['PR to ',Resp_tit(20,:)])
mmin    = min(Resp_mat(20,:));
mmax    = max(Resp_mat(20,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid

figure
subplot(331)
plot(Resp_mat(11,:))
hold on
title(['PR to ',Resp_tit(11,:)])
mmin    = min(Resp_mat(11,:));
mmax    = max(Resp_mat(11,:));
axis([0 length(Resp_mat(11,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(332)
plot(Resp_mat(17,:))
hold on
title(['PR to ',Resp_tit(17,:)])
mmin    = min(Resp_mat(17,:));
mmax    = max(Resp_mat(17,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(333)
plot(Resp_mat(4,:))
hold on
title(['PR to ',Resp_tit(4,:)])
mmin    = min(Resp_mat(4,:));
mmax    = max(Resp_mat(4,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(334)
plot(Resp_mat(18,:))
hold on
title(['PR to ',Resp_tit(18,:)])
mmin    = min(Resp_mat(18,:));
mmax    = max(Resp_mat(18,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(335)
plot(Resp_mat(13,:))
hold on
title(['PR to ',Resp_tit(13,:)])
mmin    = min(Resp_mat(13,:));
mmax    = max(Resp_mat(13,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(336)
plot(Resp_mat(14,:))
hold on
title(['PR to ',Resp_tit(14,:)])
mmin    = min(Resp_mat(14,:));
mmax    = max(Resp_mat(14,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(337)
plot(Resp_mat(15,:))
hold on
title(['PR to ',Resp_tit(15,:)])
mmin    = min(Resp_mat(15,:));
mmax    = max(Resp_mat(15,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(16,:))
hold on
title(['PR to ',Resp_tit(16,:)])
mmin    = min(Resp_mat(16,:));
mmax    = max(Resp_mat(16,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(21,:))
hold on
title(['PR to ',Resp_tit(21,:)])
mmin    = min(Resp_mat(21,:));
mmax    = max(Resp_mat(21,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid


% monetary shock
xi_v   	= 1;
%eps_v   	= sigma_eps*100;    % std in %
X_v         = zeros(7,periods);
X_v(6,1)    = xi_v;
% static conditions
X_v(2,1)    = E(2,:)*X_v(:,1);      % m
X_v(3,1)    = E(3,:)*X_v(:,1);      % c
X_v(4,1)    = E(4,:)*X_v(:,1);      % l

for i = 1:periods-1,
	X_v(6,i+1)	= A(6,6)*X_v(6,i);
    X_v(1,i+1)	= E(1,:)*X_v(:,i);
    X_v(2,i+1)    = E(2,:)*X_v(:,i+1);      % m
    X_v(3,i+1)    = E(3,:)*X_v(:,i+1);      % c
    X_v(4,i+1)    = E(4,:)*X_v(:,i+1);      % l
end

% x, R, w, r, s, gh, pi, a, f  
k_v = X_v(1,:);
m_v = X_v(2,:);
c_v = X_v(3,:);
l_v = X_v(4,:);
z_v = X_v(5,:);
u_v = X_v(6,:);
x_v = EN(1,:)*X_v;
R_v = EN(2,:)*X_v;
w_v = EN(3,:)*X_v;
r_v = EN(4,:)*X_v;
s_v = EN(5,:)*X_v;
gh_v = EN(6,:)*X_v;
pi_v = EN(7,:)*X_v;
a_v = EN(8,:)*X_v;
f_v = EN(9,:)*X_v;

w_v	    = (1-bet)*(k_v+s_v-l_v)+z_v;			        % (IX)  
r_v	    = (-bet*(k_v+s_v-l_v)+z_v)/r*(r+deltaK);		% (X)  
H2_v	= (1-eps)*(k_v-s1*s_v+L1*l_v+x1*x_v+f1*f_v);		            % (XI)  
yh_v	= (1-bet)*(k_v+s_v)+bet*l_v+z_v;				% 
kl_v    = s_v+k_v-l_v;
i_v     = (y_h*yh_v-c_h*c_v)/i_h;
n_v = -(L1*l_v+x1*x_v+f1*f_v);
ml_v = zeros(1,periods);
for i=1:periods-1
    ml_v(1,i+1)=m_v(1,i);
end
pii_v    = (ml_v-m_v-gh_v+u_v)/pi1;                              % (VI)  
F_v     = f_v-c_v;                                                                           % (VIII)
R_v = (r1*r_v+pi1*pii_v)/R1;
vel_v=yh_v-m_v;

gy_v    = zeros(1,periods);
gy_v(1) = X_v(5,1)+gh_v(1);
for i=1:periods-1
    gy_v(i+1) = X_v(5,i+1)-X_v(5,i)+beta*(kl_v(i+1)-kl_v(i))+gh_v(i+1);
end    


Resp_mat	= [X_v;i_v-yh_v;r1*r_v;w_v;yh_v;kl_v;i_v;x_v;R1*R_v;n_v;gh_v;vel_v;a_v;f_v;pi1*pii_v;gy_v];
Resp_tit    = ['k/h';'m/h';'c/h';' l ';' z ';' u ';' v ';'i/y';' r ';' w ';'y/h';'k/l';...
               'i/h';' x ';' R ';'n  ';'gH ';'vel';' a ';' f ';'\pi';'gY '];
jmcbresp = [jmcbresp; vel_v; gy_v; i_v-yh_v];
jmcbresp_tit = [jmcbresp_tit; ' M to vel'; '  M to gY'; ' M to i/y'];
% graphs  
% ***************************************************

figure
% Responses to Monetary shock
% -----------------------------
% k
subplot(331)
plot(Resp_mat(1,:))
hold on
title(['M to ',Resp_tit(1,:)])
mmin    = min(Resp_mat(1,:));
mmax    = max(Resp_mat(1,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% c
subplot(332)
plot(Resp_mat(3,:))
hold on
title(['M to ',Resp_tit(3,:)])
mmin    = min(Resp_mat(3,:));
mmax    = max(Resp_mat(3,:));
axis([0 length(Resp_mat(3,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% m
subplot(333)
plot(Resp_mat(2,:))
hold on
title(['M to ',Resp_tit(2,:)])
mmin    = min(Resp_mat(2,:));
mmax    = max(Resp_mat(2,:));
axis([0 length(Resp_mat(2,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% r
subplot(334)
plot(Resp_mat(9,:))
hold on
title(['M to ',Resp_tit(9,:)])
mmin    = min(Resp_mat(9,:));
mmax    = max(Resp_mat(9,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% gy
subplot(335)
plot(lagmatrix(Resp_mat(22,:),-1))
hold on
title(['M to ',Resp_tit(22,:)])
mmin    = min(lagmatrix(Resp_mat(22,:),-1));
mmax    = max(lagmatrix(Resp_mat(22,:),-1));
axis([0 length(lagmatrix(Resp_mat(22,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% s
subplot(336)
plot(Resp_mat(8,:))
hold on
title(['M to ',Resp_tit(8,:)])
mmin    = min(Resp_mat(8,:));
mmax    = max(Resp_mat(8,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% w
subplot(337)
plot(Resp_mat(10,:))
hold on
title(['M to ',Resp_tit(10,:)])
mmin    = min(Resp_mat(10,:));
mmax    = max(Resp_mat(10,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(19,:))
hold on
title(['M to ',Resp_tit(19,:)])
mmin    = min(Resp_mat(19,:));
mmax    = max(Resp_mat(19,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(20,:))
hold on
title(['M to ',Resp_tit(20,:)])
mmin    = min(Resp_mat(20,:));
mmax    = max(Resp_mat(20,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid

figure
subplot(331)
plot(Resp_mat(11,:))
hold on
title(['M to ',Resp_tit(11,:)])
mmin    = min(Resp_mat(11,:));
mmax    = max(Resp_mat(11,:));
axis([0 length(Resp_mat(11,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(332)
plot(Resp_mat(17,:))
hold on
title(['M to ',Resp_tit(17,:)])
mmin    = min(Resp_mat(17,:));
mmax    = max(Resp_mat(17,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(333)
plot(Resp_mat(4,:))
hold on
title(['M to ',Resp_tit(4,:)])
mmin    = min(Resp_mat(4,:));
mmax    = max(Resp_mat(4,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(334)
plot(Resp_mat(18,:))
hold on
title(['M to ',Resp_tit(18,:)])
mmin    = min(Resp_mat(18,:));
mmax    = max(Resp_mat(18,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(335)
plot(Resp_mat(13,:))
hold on
title(['M to ',Resp_tit(13,:)])
mmin    = min(Resp_mat(13,:));
mmax    = max(Resp_mat(13,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(336)
plot(Resp_mat(14,:))
hold on
title(['M to ',Resp_tit(14,:)])
mmin    = min(Resp_mat(14,:));
mmax    = max(Resp_mat(14,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(337)
plot(Resp_mat(15,:))
hold on
title(['M to ',Resp_tit(15,:)])
mmin    = min(Resp_mat(15,:));
mmax    = max(Resp_mat(15,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(16,:))
hold on
title(['M to ',Resp_tit(16,:)])
mmin    = min(Resp_mat(16,:));
mmax    = max(Resp_mat(16,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(21,:))
hold on
title(['M to ',Resp_tit(21,:)])
mmin    = min(Resp_mat(21,:));
mmax    = max(Resp_mat(21,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid

% credit shock
zeta_v   	= 1;
%eps_v   	= sigma_eps*100;    % std in %
X_v         = zeros(7,periods);
X_v(7,1)    = zeta_v;
% static conditions
X_v(2,1)    = E(2,:)*X_v(:,1);      % m
X_v(3,1)    = E(3,:)*X_v(:,1);      % c
X_v(4,1)    = E(4,:)*X_v(:,1);      % l

for i = 1:periods-1,
	X_v(7,i+1)	= A(7,7)*X_v(7,i);
    X_v(1,i+1)	= E(1,:)*X_v(:,i);
    X_v(2,i+1)    = E(2,:)*X_v(:,i+1);      % m
    X_v(3,i+1)    = E(3,:)*X_v(:,i+1);      % c
    X_v(4,i+1)    = E(4,:)*X_v(:,i+1);      % l
end

% x, R, w, r, s, gh, pi, a, f  
k_v = X_v(1,:);
m_v = X_v(2,:);
c_v = X_v(3,:);
l_v = X_v(4,:);
z_v = X_v(5,:);
u_v = X_v(6,:);
v_v = X_v(7,:);
x_v = EN(1,:)*X_v;
R_v = EN(2,:)*X_v;
w_v = EN(3,:)*X_v;
r_v = EN(4,:)*X_v;
s_v = EN(5,:)*X_v;
gh_v = EN(6,:)*X_v;
pi_v = EN(7,:)*X_v;
a_v = EN(8,:)*X_v;
f_v = EN(9,:)*X_v;

w_v	    = (1-bet)*(k_v+s_v-l_v)+z_v;			        % (IX)  
r_v	    = (-bet*(k_v+s_v-l_v)+z_v)/r*(r+deltaK);		% (X)  
H2_v	= (1-eps)*(k_v-s1*s_v+L1*l_v+x1*x_v+f1*f_v);		            % (XI)  
yh_v	= (1-bet)*(k_v+s_v)+bet*l_v+z_v;				% 
kl_v    = s_v+k_v-l_v;
i_v     = (y_h*yh_v-c_h*c_v)/i_h;
n_v = -(L1*l_v+x1*x_v+f1*f_v);
ml_v = zeros(1,periods);
for i=1:periods-1
    ml_v(1,i+1)=m_v(1,i);
end
pii_v    = (ml_v-m_v-gh_v+u_v)/pi1;                              % (VI)  
F_v     = f_v-c_v;                                                                           % (VIII)
R_v = (r1*r_v+pi1*pii_v)/R1;
vel_v=yh_v-m_v;

gy_v    = zeros(1,periods);
gy_v(1) = X_v(5,1)+gh_v(1);
for i=1:periods-1
    gy_v(i+1) = X_v(5,i+1)-X_v(5,i)+beta*(kl_v(i+1)-kl_v(i))+gh_v(i+1);
end    


Resp_mat	= [X_v;i_v-yh_v;r1*r_v;w_v;yh_v;kl_v;i_v;x_v;R1*R_v;n_v;gh_v;vel_v;a_v;f_v;pi1*pii_v;gy_v];
Resp_tit    = ['k/h';'m/h';'c/h';' l ';' z ';' u ';' v ';'i/y';' r ';' w ';'y/h';'k/l';...
               'i/h';' x ';' R ';'n  ';'gH ';'vel';' a ';' f ';'\pi';'gY '];
jmcbresp = [jmcbresp; vel_v; gy_v; i_v-yh_v];
jmcbresp_tit = [jmcbresp_tit; 'CR to vel'; ' CR to gY'; 'CR to i/y'];
% graphs  
% ***************************************************

figure
% Responses to Credit shock
% -----------------------------
% k
subplot(331)
plot(Resp_mat(1,:))
hold on
title(['CR to ',Resp_tit(1,:)])
mmin    = min(Resp_mat(1,:));
mmax    = max(Resp_mat(1,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% c
subplot(332)
plot(Resp_mat(3,:))
hold on
title(['CR to ',Resp_tit(3,:)])
mmin    = min(Resp_mat(3,:));
mmax    = max(Resp_mat(3,:));
axis([0 length(Resp_mat(3,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% m
subplot(333)
plot(Resp_mat(2,:))
hold on
title(['CR to ',Resp_tit(2,:)])
mmin    = min(Resp_mat(2,:));
mmax    = max(Resp_mat(2,:));
axis([0 length(Resp_mat(2,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% r
subplot(334)
plot(Resp_mat(9,:))
hold on
title(['CR to ',Resp_tit(9,:)])
mmin    = min(Resp_mat(9,:));
mmax    = max(Resp_mat(9,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% gy
subplot(335)
plot(lagmatrix(Resp_mat(22,:),-1))
hold on
title(['CR to ',Resp_tit(22,:)])
mmin    = min(lagmatrix(Resp_mat(22,:),-1));
mmax    = max(lagmatrix(Resp_mat(22,:),-1));
axis([0 length(lagmatrix(Resp_mat(22,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% s
subplot(336)
plot(Resp_mat(8,:))
hold on
title(['CR to ',Resp_tit(8,:)])
mmin    = min(Resp_mat(8,:));
mmax    = max(Resp_mat(8,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
% w
subplot(337)
plot(Resp_mat(10,:))
hold on
title(['CR to ',Resp_tit(10,:)])
mmin    = min(Resp_mat(10,:));
mmax    = max(Resp_mat(10,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(19,:))
hold on
title(['CR to ',Resp_tit(19,:)])
mmin    = min(Resp_mat(19,:));
mmax    = max(Resp_mat(19,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(20,:))
hold on
title(['CR to ',Resp_tit(20,:)])
mmin    = min(Resp_mat(20,:));
mmax    = max(Resp_mat(20,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid

figure
subplot(331)
plot(Resp_mat(11,:))
hold on
title(['CR to ',Resp_tit(11,:)])
mmin    = min(Resp_mat(11,:));
mmax    = max(Resp_mat(11,:));
axis([0 length(Resp_mat(11,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(332)
plot(Resp_mat(17,:))
hold on
title(['CR to ',Resp_tit(17,:)])
mmin    = min(Resp_mat(17,:));
mmax    = max(Resp_mat(17,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(333)
plot(Resp_mat(4,:))
hold on
title(['CR to ',Resp_tit(4,:)])
mmin    = min(Resp_mat(4,:));
mmax    = max(Resp_mat(4,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(334)
plot(Resp_mat(18,:))
hold on
title(['CR to ',Resp_tit(18,:)])
mmin    = min(Resp_mat(18,:));
mmax    = max(Resp_mat(18,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(335)
plot(Resp_mat(13,:))
hold on
title(['CR to ',Resp_tit(13,:)])
mmin    = min(Resp_mat(13,:));
mmax    = max(Resp_mat(13,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(336)
plot(Resp_mat(14,:))
hold on
title(['CR to ',Resp_tit(14,:)])
mmin    = min(Resp_mat(14,:));
mmax    = max(Resp_mat(14,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(337)
plot(Resp_mat(15,:))
hold on
title(['CR to ',Resp_tit(15,:)])
mmin    = min(Resp_mat(15,:));
mmax    = max(Resp_mat(15,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(Resp_mat(16,:))
hold on
title(['CR to ',Resp_tit(16,:)])
mmin    = min(Resp_mat(16,:));
mmax    = max(Resp_mat(16,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(Resp_mat(21,:))
hold on
title(['CR to ',Resp_tit(21,:)])
mmin    = min(Resp_mat(21,:));
mmax    = max(Resp_mat(21,:));
axis([0 length(Resp_mat(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid

%JMCB figure
figure
subplot(337)
plot(jmcbresp(1,:))
hold on
title(jmcbresp_tit(1,:))
mmin    = min(jmcbresp(1,:));
mmax    = max(jmcbresp(1,:));
axis([0 length(jmcbresp(1,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(338)
plot(lagmatrix(jmcbresp(2,:),-1))
hold on
title(jmcbresp_tit(2,:))
mmin    = min(lagmatrix(jmcbresp(2,:),-1));
mmax    = max(lagmatrix(jmcbresp(2,:),-1));
axis([0 length(lagmatrix(jmcbresp(2,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(339)
plot(jmcbresp(3,:))
hold on
title(jmcbresp_tit(3,:))
mmin    = min(jmcbresp(3,:));
mmax    = max(jmcbresp(3,:));
axis([0 length(jmcbresp(3,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(331)
plot(jmcbresp(4,:))
hold on
title(jmcbresp_tit(4,:))
mmin    = min(jmcbresp(4,:));
mmax    = max(jmcbresp(4,:));
axis([0 length(jmcbresp(4,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(332)
plot(lagmatrix(jmcbresp(5,:),-1))
hold on
title(jmcbresp_tit(5,:))
mmin    = min(lagmatrix(jmcbresp(5,:),-1));
mmax    = max(lagmatrix(jmcbresp(5,:),-1));
axis([0 length(lagmatrix(jmcbresp(5,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(333)
plot(jmcbresp(6,:))
hold on
title(jmcbresp_tit(6,:))
mmin    = min(jmcbresp(6,:));
mmax    = max(jmcbresp(6,:));
axis([0 length(jmcbresp(6,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(334)
plot(jmcbresp(7,:))
hold on
title(jmcbresp_tit(7,:))
mmin    = min(jmcbresp(7,:));
mmax    = max(jmcbresp(7,:));
axis([0 length(jmcbresp(7,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(335)
plot(lagmatrix(jmcbresp(8,:),-1))
hold on
title(jmcbresp_tit(8,:))
mmin    = min(lagmatrix(jmcbresp(8,:),-1));
mmax    = max(lagmatrix(jmcbresp(8,:),-1));
axis([0 length(lagmatrix(jmcbresp(8,:),-1)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
subplot(336)
plot(jmcbresp(9,:))
hold on
title(jmcbresp_tit(9,:))
mmin    = min(jmcbresp(9,:));
mmax    = max(jmcbresp(9,:));
axis([0 length(jmcbresp(9,:)) mmin-abs(mmin)/10 mmax+abs(mmin)/10])
grid
