
periods	= 300;
repetitions = 100;
Resp_tit    = ['k/h';'m/h';'c/h';' l ';' z ';' u ';' v ';' s ';' r ';' w ';'y/h';'k/l';...
               'i/h';' x ';' R ';'n  ';'g_h';'vel';' a ';' f ';'\pi'];
yi   = 11;  % output index 11
gryi    = 22;  % output growth index
mgri = 6;   % money growth index 6

scorrel= zeros(22,11);
correl= zeros(22,11);  
scorrel_g= zeros(22,11);
correl_g= zeros(22,11); 
scorrel_m= zeros(22,11);
correl_m= zeros(22,11); 
ssd = zeros(1,22);
sd = zeros(1,22);


sigma_joint = [   5.698	  -0.056	-1.106 ;
                 -0.056	   0.720	 1.376 ;
                 -1.106	   1.376	 3.617 ];
             

mu_joint = [0 0 0 ];

for rep=1:repetitions

    X_v         = zeros(7,periods);
    %X_v(5,:)    = normrnd(0,sigma_z,1,periods);%prod shocks
    %X_v(6,:)    = normrnd(0,sigma_u,1,periods);%money shocks
    %X_v(7,:)    = normrnd(0,sigma_v,1,periods);%credit shocks
    
    X_v(5:7,:)=mvnrnd(mu_joint, sigma_joint, periods)';
    
    % static conditions
    X_v(2,1)    = E(2,:)*X_v(:,1);      % m
    X_v(3,1)    = E(3,:)*X_v(:,1);      % c
    X_v(4,1)    = E(4,:)*X_v(:,1);      % l

    for i = 1:periods-1,
    	X_v(5,i+1)	= A(5,5)*X_v(5,i)+X_v(5,i+1);
        X_v(6,i+1)	= A(6,6)*X_v(6,i)+X_v(6,i+1);
        X_v(7,i+1)	= A(7,7)*X_v(7,i)+X_v(7,i+1);
        X_v(1,i+1)	= E(1,:)*X_v(:,i);
        X_v(2,i+1)    = E(2,:)*X_v(:,i+1);      % m
        X_v(3,i+1)    = E(3,:)*X_v(:,i+1);      % c
        X_v(4,i+1)    = E(4,:)*X_v(:,i+1);      % l
    end

    % x, R, w, r, s, gh, c, a, f  
    k_v = X_v(1,:);
    m_v = X_v(2,:);
    c_v = X_v(3,:);
    l_v = X_v(4,:);
    z_v = X_v(5,:);
    u_v = X_v(6,:);
    v_v = X_v(7,:);
    x_v = EN(1,:)*X_v;
    R_v = EN(2,:)*X_v;
    w_v = EN(3,:)*X_v;
    r_v = EN(4,:)*X_v;
    s_v = EN(5,:)*X_v;
    gh_v = EN(6,:)*X_v;
    pi_v = EN(7,:)*X_v;
    a_v = EN(8,:)*X_v;
    f_v = EN(9,:)*X_v;

    w_v	    = (1-bet)*(k_v+s_v-l_v)+z_v;			        % (IX)  
    r_v	    = (-bet*(k_v+s_v-l_v)+z_v)/r*(r+deltaK);		% (X)  
    H2_v	= (1-eps)*(k_v-s1*s_v+L1*l_v+x1*x_v+f1*f_v);		            % (XI)  
    yh_v	= (1-bet)*(k_v+s_v)+bet*l_v+z_v;				% 
    kl_v    = s_v+k_v-l_v;
    i_v     = (y_h*yh_v-c_h*c_v)/i_h;
    n_v = -(L1*l_v+x1*x_v+f1*f_v);
    ml_v = zeros(1,periods);
    for i=1:periods-1
        ml_v(1,i+1)=m_v(1,i);
    end
    pii_v    = (ml_v-m_v-gh_v+u_v)/pi1;                          % (VI)  
    F_v     = f_v-c_v;                                                                           % (VIII)
    R_v = (r1*r_v+pi1*pii_v)/R1;  % (VIII)
    vel_v=yh_v-m_v;
    gy_v    = zeros(1,periods);
    gy_v(1) = X_v(5,1)+gh_v(1);
    for i=1:periods-1
        gy_v(i+1) = X_v(5,i+1)-X_v(5,i)+beta*(kl_v(i+1)-kl_v(i))+gh_v(i+1);
    end
    Resp_mat	= [X_v;s_v;r_v;w_v;yh_v;kl_v;i_v;x_v;R_v;n_v;gh_v;vel_v;a_v;f_v;pii_v;gy_v]';

    for i =1:22 %variables
        for j=-5:5
          tmpmat = corrcoef(Resp_mat(:,i),circshift(Resp_mat(:,yi),j));
          correl(i,j+6)=tmpmat(2,1);
          tmpmat_g = corrcoef(Resp_mat(:,i),circshift(Resp_mat(:,gryi),j));
          correl_g(i,j+6)=tmpmat_g(2,1);
          tmpmat_m = corrcoef(Resp_mat(:,i),circshift(Resp_mat(:,mgri),j));
          correl_m(i,j+6)=tmpmat_m(2,1);
        end
    end
    scorrel=scorrel+correl;
    scorrel_g=scorrel_g+correl_g;
    scorrel_m=scorrel_m+correl_m;
    sd = std(Resp_mat);
    ssd=ssd+sd;
end
scorrel=scorrel./repetitions;
scorrel_g=scorrel_g./repetitions;
scorrel_m=scorrel_m./repetitions;
ssd=ssd./repetitions;
ssdt=ssd';