function Y=XXKHB(x)
% discrete model
% implicit equation for leisure x - new version (KHB model)
global omega1 omega2 omega3 omega4 Omega omeg AH AG AF alpha bet eps gamma tau_L tau_K theta deltaK deltaH rho rhod sigma eta lambda r_p
lHsHc   = omega1*(AH/AG*(1-x))^(1/(1-eps+bet));
lGsGc   = bet/(1-bet)*(1-eps)/eps*lHsHc;
rhat    = Omega*AG^omeg*AH^(1-omeg)*(1-x)^(1-omeg);
g       = ((1+rhat-deltaK)/(1+rhod))^(1/theta)-1;
what    = bet*AG/lGsGc^(1-bet);
pi      = (1+sigma)/(1+g)-1;
Rhat    = (1+rhat-deltaK)*(1+pi)-1;
lH      = (g+deltaH)/AH*lHsHc^(1-eps);
a       = 1-(gamma*Rhat/what*AF^(1/gamma))^(gamma/(1-gamma));
F       = ((1-a)/AF)^(1/gamma);
c_h     = what/(1+what*F+Rhat*a)*x/alpha;
apG     = AG*lGsGc^bet;
h_k     = (apG-g-deltaK)/(c_h+apG/lHsHc*lH);
c_k     = c_h*h_k;
sG      = (g+deltaK+c_k)/apG;
lF      = F*c_h;
lG      = 1-x-lF-lH;
Y       = sG/lG-h_k/lGsGc;
